﻿#target "indesign"
#targetengine "STAGEMANAGER0"

var articlePath = '/path/to/indesign/article1.indd';
var outputPath  = '/path/to/indesign/test.article';

$.writeln('Preflighting article');
TwixlPublisherPluginAPI.preflightArticle(articlePath);

$.writeln('Preflight Warnings');
$.writeln(TwixlPublisherPluginAPI.preflightWarningCount());
$.writeln(TwixlPublisherPluginAPI.preflightWarnings());

$.writeln('Preflight Errors');
$.writeln(TwixlPublisherPluginAPI.preflightErrorCount());
$.writeln(TwixlPublisherPluginAPI.preflightErrors());

$.writeln('Exporting and previewing article');
TwixlPublisherPluginAPI.exportArticle(articlePath, outputPath);
TwixlPublisherPluginAPI.previewArticleOnDevice(outputPath, 'FILL IN IP-ADDRESS');
