﻿#target "indesign"
#targetengine "STAGEMANAGER0"

var publicationPath = '/path/to/indesign/mypublication.indb';
var outputPath  = '/path/to/test.publication';

$.writeln('Preflighting Publication');
TwixlPublisherPluginAPI.preflightPublication(publicationPath);

$.writeln('Preflight Warnings');
$.writeln(TwixlPublisherPluginAPI.preflightWarningCount());
$.writeln(TwixlPublisherPluginAPI.preflightWarnings());

$.writeln('Preflight Errors');
$.writeln(TwixlPublisherPluginAPI.preflightErrorCount());
$.writeln(TwixlPublisherPluginAPI.preflightErrors());

$.writeln('Exporting and previewing publication');
TwixlPublisherPluginAPI.exportPublication(publicationPath, outputPath);
TwixlPublisherPluginAPI.previewPublicationOnDevice(outputPath, 'FILL IN IP-ADDRESS');
